

/* ------------------------------------------------------------------------
      Svolgimento esercizio 27 UA 3

	  Individuazione di un anno bisestile

   ------------------------------------------------------------------------ */

import java.io.*;

class es27
{

	public static void main(String args[])
	{
	      String anno_s;
		  int anno;
		  boolean errore;

          InputStreamReader insr = new InputStreamReader(System.in);
		  BufferedReader tastiera = new BufferedReader(insr);

		  anno = 0;

          do
		  {
              errore = false;  // pone a false la condizione di errore 
			                   // (si presume che la lettura avvenga correttamente)

		      // gestione di errore di I/O
			  try
			  {
				  // lettura dell'anno da esaminare...
				  System.out.print("Inserisci anno:  ");
				  anno_s = tastiera.readLine(); 
				  anno = Integer.valueOf(anno_s).intValue();
			  }
			  catch (Exception e)
			  {	System.out.println("Errore nella lettura dell'anno - ripeti inserimento.");  
			    errore = true;   }
          } 
		  while (errore);    // ripete la lettura se si e' verificato un errore di I/O....

          // controllo se l'anno sia o no bisestile, secondo le indicazioni
		  // fornite dallo stesso esercizio 27
		  if (((anno % 4) == 0) && ((anno % 100) != 0))            // deve essere divisibile per 4 e per 100
		  {
			   System.out.println("L'anno " + anno + " e' bisestile.");
		  }
		  else if ((anno % 400) == 0)         // oppure divisibile per 400....
		  {
			   System.out.println("L'anno " + anno + " e' bisestile.");
		  }
		  else
			  System.out.println("Anno non bisestile.");   // altrimenti non e' bisestile.

	}

};


